---
title: "Secure Tokens"
description: "A **Secure Token** is a 3-D Secure–authenticated token that carries the result of a strong customer authentication challenge."
url: "https://docs.komoju.com/en/api-reference#2025-01-28/tag/securetokens"
source_url: "https://docs.komoju.com/en/api-reference/2025-01-28/resources/secure-tokens.md"
language: en
api_version: "2025-01-28"
---

# Secure Tokens

A **Secure Token** is a 3-D Secure–authenticated token that carries the result of a strong customer authentication challenge. Use secure tokens when you need to charge a card that requires 3DS (either by regulation or issuer policy) — the token records the challenge outcome and can then be used to create an authorized payment.

## The Secure Token object

A **Secure Token** is a 3-D Secure–authenticated token that carries the
outcome of a strong customer authentication challenge. Use secure tokens
whenever the card, issuer, or regulation requires 3DS — the token records
the challenge result and can then be used to create an authorized payment.

### Attributes

- **`id`** *string (UUID)* *required*

  A unique 25-character alphanumeric resource identifier.

- **`created_at`** *string* *required*

  Timestamp when the SecureToken was created.

- **`verification_status`** *string enum* *required*

  Current 3DS verification status of this SecureToken.

- **`authentication_url`** *string*

  URL to redirect the customer to for 3DS authentication. Only present when verification_status is "NEEDS_VERIFY".

- **`three_d_secure_account`** *object*

  3DS Server account details. Only present when set on the SecureToken.

- **`three_ds_auth_result`** *ThreeDsAuthResult object*

### Example

```json
{
  "id": "string",
  "created_at": "2025-01-15T10:10:00Z",
  "verification_status": "OK",
  "authentication_url": "string",
  "three_d_secure_account": {
    "acquirer_mid": "string",
    "acquirer_bin": "string"
  },
  "three_ds_auth_result": {
    "dsReferenceNumber": "string",
    "acsReferenceNumber": "string",
    "threeDSRequestorTransID": "string",
    "acsTransID": "string",
    "dsTransID": "string",
    "eci": "string",
    "messageVersion": "string",
    "authenticationType": "string",
    "authenticationValue": "string",
    "transStatus": "string",
    "threeDSServerTransID": "string"
  }
}
```

## Endpoints

### SecureToken: Create

- [POST /secure_tokens](https://docs.komoju.com/en/api-reference/2025-01-28/create-secure-token.md)

### SecureToken: Show

- [GET /secure_tokens/{id}](https://docs.komoju.com/en/api-reference/2025-01-28/show-secure-token.md)

